Skip to main content
`Ctrl`+`K`

# SNESNewtonTRDCGetPostCheck

Gets the post-check function optionally set with `SNESNewtonTRDCSetPostCheck()`

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNewtonTRDCGetPostCheck(SNES snes, PetscErrorCode (**func)(SNES snes, Vec X, Vec Y, Vec W, PetscBool *changed_y, PetscBool *changed_w, PetscCtx ctx), PetscCtxRt ctx)

Not Collective

## Input Parameter

- snes - the nonlinear solver context

## Output Parameters

- func - [optional] function evaluation routine, for the calling sequence see `SNESNewtonTRDCPostCheck()`

- ctx - [optional] context for private data for the function evaluation routine (may be `NULL`)

## Calling sequence of `func`

- snes - the nonlinear solver object

- X - the current solution value

- Y - the tentative update step

- W - the tentative new solution value

- changed_y - output, flag indicated `Y` has been changed by the post-check

- changed_w - output, flag indicated `W` has been changed by the post-check

- ctx - the optional application context

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESNEWTONTRDC`, `SNESNewtonTRDCSetPostCheck()`, `SNESNewtonTRDCPostCheck()`, `SNESNewtonTRDCSetPreCheck()`, `SNESNewtonTRDCGetPreCheck()`

## Level

intermediate

## Location

src/snes/impls/ntrdc/ntrdc.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages